# norootforbuild

Name:			fotowall
Version:		0.9
Release:		1.pm.1.1
Summary:		A wallpaper generator
URL:			http://code.google.com/p/fotowall/
License:		GPL
Group:			Productivity/Graphics/Other
Source0:		http://fotowall.googlecode.com/files/Fotowall-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	libqt4-devel
BuildRequires:	libQtWebKit-devel
BuildRequires:	update-desktop-files

%description
FotoWall is a wallpaper generator rendering some of your favorite pictures
in a nice and smooth high resolution composition.

The interface is intuitive:
- drag multiple pictures inside fotowall
- use the red button on the lower rigt corner to resize the picture
- use the green button on the lower right corner to rotate the picture
- press the "del" button after selecting a picture to remove it from the composition
- move the mouse on the corners to change various colors in an extremely cool way



%prep
%setup -q -n Fotowall-%{version}

%__sed -i -e 's|^Categories=.*||g' \
	%{name}.desktop

%build
qmake
%__make %{?jobs:-j%{jobs}}

%install
%if 0
qmake
%makeinstall \
	INSTALL_ROOT=%{buildroot} || :
%endif
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 %{name} \
	%{buildroot}%{_bindir}

%__install -dm 755 %{buildroot}%{_mandir}/man1
%__install -m 644 %{name}.1 \
	%{buildroot}%{_mandir}/man1

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{name}.png \
	%{buildroot}%{_datadir}/pixmaps
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__install -m 644 %{name}.desktop \
	%{buildroot}%{_datadir}/applications

%suse_update_desktop_file %{name} Graphics RasterGraphics

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc README* GPL_V2
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Dec 08 2009 Toni Graffy <toni@links2linux.de> - 0.9-0.pm.1
- update to 0.9 the alchimia release
 - Fast, Solid and Integrated Workflow
 - New Contents: Canvas and Wordcloud
 - Graphics Effects
 - Nested Editors
 - LikeBack feedback system
 - Zoomable canvas
 - more than 250 other changes
* Thu Apr 30 2009 Toni Graffy <toni@links2linux.de> - 0.6-0.pm.1
- update to 0.6
* Sun Apr 12 2009 Toni Graffy <toni@links2linux.de> - 0.5-0.pm.1
- update to 0.5
* Fri Mar 13 2009 Detlef Reichelt <detlef@links2linux.de> <0.3.1>-<0.pm.1>
- new upstream release <0.3.1>
  * Configuration Panel: right click on an image and edit properties
  * More Frame types (default, heart, Plasma backgrounds) (David Eccher)
  * More Image Formats (bmp, tiff, gif, ...) (Superstoned)
  * Reflections, and really cool ones
  * Mirror the photo by clicking on an axis (Alberto Scarpa)
  * DoubleClick on a picture -> set it as background, and vice-versa (Alberto Scarpa)
  * More pretty (plasma icons) and usable (behavior) frame buttons
  * Stacking order (Superstoned)
  * Export a single picture as-you-see-it on disk
  * Fixed-ratio resize: hold CTRL while resizing
  * Visual Help (Alberto Scarpa)
  * Drag&Drop: better behavior and can change a picture inside an existing frame too
  * Pictures stay on-screen
* Sun May 18 2008 Detlef Reichelt <detlef@links2linux.de> <0.21>-<0.pm.1>
- new upstream release <0.21>
* Sat Dec 08 2007 Detlef Reichelt <detlef@links2linux.de> <0.2>-<0.pm.1>
- initial build for packman <0.2>
